Bug 438805 - Review Request: php-pear-MDB2-Driver-pgsql - PostgreSQL driver for MDB2
Review Request: php-pear-MDB2-Driver-pgsql - PostgreSQL driver for MDB2
Status: CLOSED DUPLICATE of bug 458610
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
: 444787 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2008-03-25 08:49 EDT by David Hollis
Modified: 2008-08-10 17:28 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-08-10 17:28:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Hollis 2008-03-25 08:49:56 EDT
Spec URL: http://web.davehollis.com:81/packages/php-pear-MDB2-Driver-pgsql.spec
SRPM URL: http://web.davehollis.com:81/packages/php-pear-MDB2-Driver-pgsql-1.4.1-1.fc8.src.rpm
Description: This package provides a PostgreSQL data provider for the MDB2 database abstraction layer.
Comment 1 Jason Tibbitts 2008-04-04 23:01:22 EDT
Builds fine; rpmlint says:
  php-pear-MDB2-Driver-pgsql.noarch: W: no-documentation
which is indeed the case; there's no documentation in the tarball.

* source files match upstream:
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint has acceptable complaints.
* final provides and requires are sane:
   php-pear(MDB2_Driver_pgsql) = 1.4.1
   php-pear-MDB2-Driver-pgsql = 1.4.1-1.fc9
   php-pear(MDB2) >= 2.4.1
   php-pear(PEAR) >= 1.4.0b1

* %check is not present.  There seem to be some tests in the package, but they 
   would require a configured postgres server and it's not generally possible to 
   run PHP tests at build time.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (pear module registration).
* code, not content.

Comment 2 Steven Moix 2008-05-01 05:58:47 EDT
*** Bug 444787 has been marked as a duplicate of this bug. ***
Comment 3 Johan Cwiklinski 2008-07-18 01:32:59 EDT
Ping David ? Are you going to put this package on the Fedora repositories ?

I'd love to see it :-)

If you won't, please let us know.
Comment 4 Jason Tibbitts 2008-08-10 17:28:44 EDT
Well, this has been sitting for ages, and there's someone around who wants to get this into the distro, so I'm just going to close this ticket and review the other one.  If you really want to maintain this package, consider contacting the other maintainer once you've been sponsored.

*** This bug has been marked as a duplicate of bug 458610 ***

Note You need to log in before you can comment on or make changes to this bug.